Index Page ekops_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ekops_c ( SpiceInt   * handle )

#### Abstract

       Open a scratch (temporary) E-kernel file and prepare the file
       for writing.

#### Required_Reading

       EK

#### Keywords

       EK
       FILES
       UTILITY

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     O   File handle attached to new EK file.

#### Detailed_Input

       None.

#### Detailed_Output

       handle         is the EK file handle of the file opened by this
                      routine.  This handle is used to identify the file
                      to other EK routines.

#### Parameters

       None.

#### Exceptions

       1)  If the indicated file cannot be opened, the error will be
           diagnosed by routines called by this routine.  The new file
           will be deleted.

       2)  If an I/O error occurs while reading or writing the indicated
           file, the error will be diagnosed by routines called by this
           routine.

#### Files

       This routine creates a temporary EK file; the file is deleted
       when the calling program terminates.

       See the EK Required Reading for a discussion of the EK file
       format.

#### Particulars

       This routine operates by side effects:  it opens and prepares
       a scratch EK for addition of data.  "Scratch" files are automatically
       deleted when the calling program terminates normally.

#### Examples

       1)  Open a scratch EK.  The EK should be closed via EKCLS.
           The EK file will be deleted when closed.

               ekops_c ( &handle );

                  [Write/Read EK]

               ekcls_c ( handle );

#### Restrictions

       1)  No more than CSPICE_DAS_MXOPFL files may be opened
           simultaneously.  See the header file SpicePar.h for the value of
           CSPICE_DAS_MXOPFL.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)

#### Version

       -CSPICE Version 1.0.0, 2-APR-1998

#### Index_Entries

       open scratch E-kernel
       open scratch EK

#### Link to routine ekops_c source file ekops_c.c

    Wed Apr  5 17:54:34 2017